<?php
require_once(dirname(__FILE__).'/autoload.php');
protegeArquivo(basename(__FILE__));
class tabeladeful extends base{
	public function __construct($campos=array()){
		parent::__construct();
		$this->tabela = "tabeladeful";
		if(sizeof($campos)<=0):
			$this->campos_valores = array(
				"id" => NULL,
				"ano_acessado" => NULL,
				"formato_germinacao" => NULL,
				"outras_cultivares" => NULL,
				"finalidade" => NULL,
				"laudo_tetrazolio" => NULL,
				"laudo_envelhecimento" => NULL,
				"laudo_germinacao" => NULL,
				"livro_protocolo" => NULL,
				"modelo_ficha" => NULL,
				"germinacao_tela2" => NULL,
			);
		else:
			$this->campos_valores = $campos;
		endif;
		$this->campopk = "id";
	}
    
    public function existeRegistro($campo=NULL,$valor=NULL){
        if ($campo!=NULL && $valor!=NULL):
            is_numeric($valor) ? $valor = $valor : $valor = "'".$valor."'";
            $this->extras_select = "WHERE $campo=$valor";
            $this->selecionaTudo($this);
            if ($this->linhasafetadas > 0):
                return TRUE;
            else:
                return FALSE;
            endif;
        else:
            $this->trataerro(__FILE__,__FUNCTION__,NULL,'Faltam parâmetros para executar a função',TRUE);
        endif;
    }
}
?>